using Syntriax.Engine.Core.Abstract;

namespace Pong.Network;

public interface INetworkBehaviour : IBehaviour
{
    int NetworkId { get; }

    bool LocalAssigned { get; }

    bool IsServer { get; }
    bool IsClient { get; }

    INetworkCommunicator NetworkCommunicator { get; }
}
